import React, { useEffect, useMemo } from 'react';
import { Form } from 'antd';
import { Modal, Input } from 'antd';

// 审批意见
function AuditModal(props) {
  const { visible, onClose, onOk, loading } = props;
  const [form] = Form.useForm();

  const handleOk = () => {
    form.validateFields((err, fieldsValue) => {
      if (err) return;
      onOk({
        ...fieldsValue,
        // 3 通过审批   2 拒绝审批
        audit_status: visible == 1 ? 3 : 2,
      });
    });
  };

  return (
    <Modal
      confirmLoading={loading}
      destroyOnClose
      title={visible == 1 ? '是否确认通过审批？' : '是否确认拒绝审批？'}
      open={visible}
      onCancel={onClose}
      onOk={handleOk}
    >
      <Form.Item
        labelCol={{ span: 5 }}
        wrapperCol={{ span: 15 }}
        name="audit_comment"
        label="审批意见"
      >
        <Input.TextArea />
      </Form.Item>
    </Modal>
  );
}

export default AuditModal;
